#Koordinatne osi - program_10_2.py

from program_10_1 import *

def koordinatne_osi(n=10, m=20):                                    
    '''Funkcija crta koordinatne osi x i y, gdje je
           m = broj piksela u jedinici mjerenja
           n = broj jedinica,
       pri čemu se preporuča da je n * m <= 200.
       Koordinatne osi prikazuje brojeve zatvorenog intervala [-n, n]
    '''
    reset()
    tracer(False)
    for i in range(4):
        lt(i * 90)
        polupravac(n, m, vel)
        pu(); home(); pd();
    tracer(True)
    pu(); goto(-n * m, -20); seth(0)
    for i in range(-n, n + 1):
        if i != 0:                                                   #1
            write(i, align='center', font=('Arial',8,'bold'))
        fd(m)                                                                                                                                                                                                                     
    goto((n + 1) * m, - 40)
    write('x',align='center', font=('Arial',10,'bold'))
    pu(); goto(-14, - n * m - 8); seth(90)                            #2
    for i in range(-n, n + 1):
        if i != 0:
            write(i, align='center', font=('Arial',8,'bold'))
        fd(m)
    goto(-40 , (n + 1) * m - 20)
    write('y', align='center', font=('Arial',10,'bold'))
    ht()                                                    

def točka(t, n=10, m=20,):                                  
    '''Funkcija crta točku t = (x, y) gdje je
          x - racionalni broj iz intervala [-n, n]
          y - racionalni broj iz intervala [-n, n]        
    '''
    x, y = t                                                         #3
    pu(); goto(x * m, y * m); pd()
    dot(4)                                                  
    pu()
    sety(y * m + 3)
    ispis = '{0:.2f},{1:.2f}'.format(x, y)
    write(ispis, align='center', font=('Arial',8, 'normal'))
      
  
if __name__ == '__main__':
    koordinatne_osi()
    točka((5, 7))                                           
    t1 = -6, 10                                        
    točka(t1)                                          
    točka((3, -8))



                                        
