#Crtanje pravca y = k * x + l - program_pravac_k_l.py

from program_mreza import * 

def pravac(k, l):
    '''Funkcija crta pravac zadan u obliku y = k * x + l'''

    yp = 10 * k + l
    yn = - 10 * k + l
    if (yn >= 10 and yp >= 10) or (yn <= -10 and yp <= - 10):        #1
        print('Pravac y = {}*x + {} nije vidljiv u ovom koordinatnom sustavu'\
              .format(k, l))
        return
    else:
        pu()
        goto(-200, yn * 20)
        setheading(towards(200, yp * 20))
        tracer(False)
        while position()[0] <= 200:                                    
            if abs(position()[1]) <= 200:                                                         
                pd()
            else:
                pu()
            fd(1)
        tracer(True)
        
if __name__ == '__main__':
    koordinatni_sustav()
    k0, l0 = 1 / 2, -2
    k1, l1 = -2, 2
    pravac(k0, l0)
    pravac(k1, l1)
