#Vizualizacija postotnog računa vrpcom - program_12_18.py

from turtle import *

def post_iz(post, osn_vr, boja, d=500, px=-250, py=-250):
    '''Funkcija crta pravokutnik čija dužina je jednaka postotnom
       iznosu osnovne vrijednost. Parametri:
           post   - postotak
           osn_vr - osnovna vrijednost
           boja   - boja ispune pravokutnika
           d - dužina pravokutnika uz post = 100
           px, py - koordinate lijevog gornjeg ugla pravokutnika
    '''
    pu(); ht(); goto(px, py); pd()
    pencolor('black')
    fillcolor(boja)
    dp = (post / 100) * d
    begin_fill()
    for i in range(2):
        fd(dp); rt(90)
        fd(30); rt(90)
    end_fill()
    fd(d_p)    
    pu(); sety(pos()[1] + 5)
    ispis = '{:.2f}%'.format(post)                               
    write(ispis, align='center', font=('Arial',10,'bold'))      #1
    sety(pos()[1] - 60)
    ispis = '{:.2f}'.format(post * osn_vr / 100)
    write(ispis, align='center', font=('Arial',10,'bold'))      #2
    
def prikaz_post(post, osn_vr):
    reset()
    post_iz(100, osn_vr, 'white')                               #3
    post_iz(post, osn_vr, 'silver')

if __name__ == '__main__':
    prikaz_post(65, 700)
