#Nasumične proprocije s jednom nepoznanicom  - program_12_3.py
'''
Program generire nasumične proporcije s jednom nepoznanicom
i traži upisivanje njezine vrijdnosti.
'''

from random import randint                                    

def generator_proporcija(dg=1, gg=10):                             
    '''
    Funkcija generira prvo nasumični broj a i broj b različit od a.
    Nakon toga generira nasumični faktor fakt kojim množi ta dva broja i
    određuje brojeve c i d tako da dobivamo nasumičnu proporciju
    a : b = c : d
    '''
    a = randint(dg, gg)
    b = randint(dg, gg)
    while a == b:                                                  
        b = randint(dg, gg)                                        
    faktor = randint(2, 5)                                       
    c = faktor * a                                           
    d = faktor * b
    return a, b, c, d                                              #1

def proporcija_s_jednom_nepoznanicom():
    '''
    Funkcija vraća vrijednost nasumično odabranog člana proporcije
    i na njegovo mjesto upisuje simbol x
    '''
    prop = generator_proporcija()
    odabir = randint(0, 3)                                         #2
    xv = prop[odabir]                                              #3
    prop[odabir] = 'x'                                             #4
    return xv, prop


if __name__  == '__main__':
    n = int(input('Upiši broj ponavljanja vježbe n = '))
    for i in range(n):
        x, p = proporcija_s_jednom_nepoznanicom()
        while True:
            upit_0 = '\nKolika je vrijednost nepoznanice x u proporciji '
            upit_1 = '{} : {} = {} : {}?   x = '.format(p[0], p[1], p[2], p[3])
            odgovor = int(input(upit_0 + upit_1))
            if odgovor != x:
                print('Odgovor nije točan!')
            else:
                print('Odgovor je točan!')
                break
 
