#Određivanje moda (modova) - modovi.py

from list_dat import iz_datoteke
from collections import Counter

def modovi(ime_datoteke):
    '''Funkcija vraća mod (odnosno listu modova) niza
       podataka iz datoteke s  nazivom 'ime datoteke'.
    '''    
    b = Counter(iz_datoteke(ime_datoteke))
    bc = b.most_common()     
    maks_frekvencija = bc[0][1]                                      #1
    modi = [bc[0][0]]                                                #2
    i = 1
    while i < len(bc) and c[i][1] == maks_frekvencija:
        modi.append(bc[i][0])                                        #3
        i += 1
    return modi 

def ispis_modova(modi):
    if len(modi) == 1:
        print('Mod ovog niza podataka je:\n   {}'.format(modi[0]))  
    else:
        print('Modovi ovog niza podataka jesu:')
        for mod in modi:
            print('   {}'.format(modi))
            
if __name__ == '__main__':
    print('\nNiz podataka\n{}'.format(iz_datoteke('bodovi.txt')))            
    ispis_modova(modovi('bodovi.txt'))         
    print('\nNiz podataka\n{}'.format(iz_datoteke('pod_13_15_a.txt')))            
    ispis_modova(modovi('pod_13_17_a.txt'))
    print('\nNiz podataka\n{}'.format(iz_datoteke('pod_13_15_b.txt')))            
    ispis_modova(modovi('pod_13_17_b.txt'))
              
        
    
    
    
