#Rječnik u datoteku i obrnuto - program_13_15.py

def rječnik_u_datoteku(ime_rječnika, ime_datoteke):
    '''Funkcija će u mapi u kojoj se nalazi ovaj program
       Stvoriti znakovnu datoteku:
            ime_datoteke.txt
       i u nju prenijeti sadržaj rječnika
            ime_rječnika
       tako da se u svakom redu datoteke element rječnika zapisuje kao par:
            ključ k, vrijednost v
    '''
    d = open('{}.txt'.format(ime_datoteke), 'w')
    for k, v in ime_rječnika.items():
        d.write('{}, {}\n'.format(k, v))                      #1
    d.close()
    
def datoteka_u_rječnik(ime_datoteke):
    '''Funkcija vraća rječnik koji izgrađuje tako da iz datoteke
             ime_datoteke.txt
       čita redove s parovima u kojima je prvi član para ključ
       i drugi član para vrijednost jednog elementa rječnika.
    '''    
    d = open('{}.txt'.format(ime_datoteke)) 
    rječnik = {}
    while True: 
        red = d.readline()
        if len(red) == 0:
            break
        k, v = red[:-1].split(',')                           #3
        rječnik[k] = v.strip()                               #4
    d.close()
    return rječnik
if __name__ == '__main__':
    engl_hrv = {'name': 'ime', 'key': 'ključ', 'dictionary': 'rječnik'}
    print('\nSadržaj rječnika engl_hrv :')
    print(engl_hrv)
    ime_datoteke = 'moj_rječnik'
    rječnik_u_datoteku(engl_hrv, ime_datoteke)
    d = open('{}.txt'.format(ime_datoteke))
    print('\nSadržaj datoteke {}.txt :'.format(ime_datoteke))
    print(d.read())
    obnovljeni_engl_hrv = datoteka_u_rječnik(ime_datoteke)
    print('Sadržaj rječnika obnovljeni_engl_hrv :')    
    print(obnovljeni_engl_hrv)
