#Izračunavanje medijana - program_13_9.py

from list_dat import iz_datoteke

def medijan(podatci):
    n = len(podatci)
    spod = sorted(podatci)
    if n % 2:
        return spod[n // 2]                                     #4
    else:
        return (spod[n // 2 - 1] + spod[n // 2]) / 2            #5

def ispis_medijana(podatci):
    '''Funkcija ispisuje podatke smještene u listi podatci,
       sortirane podatke i medijan tih podataka
    '''
    print('\nNiz podataka:')
    for podatak in podatci:
        print(podatak, end=' ')                               #6
    print('\nSortirani podatci:')
    for podatak in sorted(podatci):
        print(podatak, end=' ')                               #7    
    print('\nMedijan:\n{}'.format(medijan(podatci)))                 

if __name__ == '__main__':
    podatci_1 = [4, 5, 2, 6, 7]
    ispis_medijana(podatci_1)
    podatci_2 = [4, 5, 2, 6, 7, 3]
    ispis_medijana(podatci_2)
    podatci_3 = iz_datoteke('pod_13_9.txt')                   #8
    ispis_medijana(podatci_3)
