#Zajednički faktori dvaju prirodnih brojeva – program_7_5.py

from prirodni import prosti_brojevi

def zajednički_faktori(m, n):
    '''Funkica vraća zajedničke proste faktore brojeva m i n'''
    r = []
    prosti = prosti_brojevi(min(m, n))
    i = 0
    while i < len(prosti):
        if m % prosti[i] == 0 and n % prosti[i] == 0:
            r.append(prosti[i])
            m //= prosti[i]
            n //= prosti[i]
        else:
            i += 1
    return r

if __name__ == '__main__':
    m = int(input('Upiši broj m = '))
    n = int(input('Upiši broj n = '))
    zf = zajednički_faktori(m, n)
    if len(zf) == 0:
        print('Brojevi {} i {} nemaju zajedničkih faktora'.format(m, n))
    else:
        print('Zajednički faktori brojeva {} i {} su:\n{}'.format(m, n, zf))
