#Distributivnost množenja prema zbrajanju - program_8_18.py

from program_mnozenje import *                                    #1

def distributivnost(a, b, c):
    '''Funkcija prikazuje svojstvo distributivnosi množenja
       prema zbrajanju. 
       Zbog jasnoće crteža treba biti a + b < 10
       te a >= 3 i b >= 3
    '''
    reset(); ht()
    jed = 20
    umnožak(a + b, c, -250, 0, m=jed, mreža=0)
    pu(); goto((a + b) * jed // 2 - 250, -50)                 #1
    ispis = '{0} * {1} = {2}'.format(a + b, c, (a + b) * c)
    write(ispis, align='center', font=('Arial',9,'bold'))     #2                              
    umnožak(a, c, 0, 0, m=jed, mreža=0)
    umnožak(b, c, a * jed, 0, m=jed, mreža=0)                 #3
    pu(); goto((a + b) * jed // 2, -50)                       #4   
    ispis = '{0} * {2} + {1} * {2} = {3}'\
            .format(a, b, c, a * c + b * c)
    write(ispis, align='center',font=('Arial',9,'bold'))      #5

if __name__ == '__main__':
    print('Zbog jasnoće crteža treba biti a + b < 10\n'\
          'te a >=3 i b >= 3')     
    a = int(input('Upiši a: '))
    b = int(input('Upiši b: '))
    c = int(input('Upiši c: '))
    distributivnost(a, b, c)

    
