#Crtanje više kvadrata obilaskom vrhova - program_8_2.py

from turtle import *

def kvadrat(xs, ys, a):
    '''Funkcija crta kvadrat za koji je:    
           a - duljina stranice
           xs, ys - položaj središta
    '''
    pu(); ht()
    d = a // 2  
    vrhovi = [(xs + d, ys + d),(xs - d, ys + d),\
              (xs - d, ys - d),(xs + d, ys - d)]    #4
    goto(vrhovi[0]) 
    pd()
    for i in range(4):
        goto(vrhovi[(i+1) % 4])

if __name__ == '__main__':                          #5
    kvadrat(0, 0, 50)
    kvadrat(100, 100, 50)
    kvadrat(-100, 100, 50)
    kvadrat(-100, -100, 50)
    kvadrat(100, -100, 50)
    



