# crtanje kružnog isječka - program_8_8.py

from turtle import *

def kružni_isječak(r, xs, ys, kutp, kutl):
    '''Funkcija crta kružni isječak gdje su:
           r - polumjer kružnice
           xs, ys - središte kružnice
           kutp - početni kut isječka
           kutl - središnji kut isječka
    '''
    pu(); goto(xs, ys); ht()  
    seth(kutp)
    pd()
    fd(r); lt(90)
    circle(r, kutl)
    lt(90); fd(r)
 
if __name__ == '__main__':
    kružni_isječak(100, -120, 50, 60, 60)
    kružni_isječak(100, 120, 50, 45, 90)
    kružni_isječak(100, -120, -100, 0, 180)
    kružni_isječak(100, 120, -100, 315, 270)  

    

