# crtanje kružnice u koracima -  program_kruznica_korak.py

from turtle import *

def kružnica_u_koracima(r, xs, ys, korak):
    '''Funkcija crta kružnicu gdje su:
           r - polumjer kružnice
           xs, ys - središte kružnice
           korak - broj koraka
    '''
    pu(); goto(xs, ys + r); ht()               #1  
    seth(180); pd()                            #2
    circle(r, steps=korak)                     #3
    circle(r)                                  #4

if __name__ == '__main__':
    kružnica_u_koracima(100, -120, 120, None)  #5
    kružnica_u_koracima(100, 120, 120, 3)
    kružnica_u_koracima(100, -120, -120, 5)
    kružnica_u_koracima(100, 120, -120, 7)



    



