#Vježbanje množenja razlomaka - program_9_5.py

from random import randint
from fractions import Fraction

def razlomak(naz_maks):
    '''Funkcija će odrediti pravi razlomak 
       s nazivnikom koji neće biti veći od naz_maks
    '''
   
    brojnik = randint(1, naz_maks)
    nazivnik = randint(brojnik, naz_maks)
    print(brojnik, nazivnik)
    return Fraction(brojnik, nazivnik)
        
def množenje(naz_maks, n):
    '''Funkcija će zadati n zadataka množenja pravih razlomaka'''

    for i in range(n):
        print(40 * '-')
        a = razlomak(naz_maks)
        b = razlomak(naz_maks)
        while True:                                                    
            c = Fraction(input('Izračunati: {} * {} = '.format(a, b)))
            if c == a * b:
                break 
            print('Odgovor je netočan!') 
        print('Odgovor je točan!') 
        print('Skraćeni oblik broja je: {}'.format(a * b)) 

def main():
    n = int(input('Upiši broj zadataka n = '))
    naz_maks = int(input('Najveći nazivnik neka bude = '))
    množenje(naz_maks, n)

main()
