# Crtanje točke - program_10_4.py

from program_10_3 import *

def točka(t, ispis=False):                                              #1                                          
    '''Funkcija crta točku t = (x, y) gdje je:
          x - racionalni broj iz intervala [-10, 10]
          y - racionalni broj iz intervala [-10, 10]
       uz
          ispis=True ispisuje se koordinate točke
          ispis=False koordinate točke se ne ispisuju
        '''                                              
    pu(); goto(t[0]*20, t[1]*20)                                    #2                                                                
    dot(6)                                            
    if ispis:                                                       #3                                                  
        sety(t[1] * 20 + 5)        
        ispis = '{:.2f},{:.2f}'.format(t[0], t[1])                  
        write(ispis, align='center', font=('Arial',8, 'normal'))

if __name__ == '__main__':
    koordinatni_sustav()
    a = 0, 0
    b = -5.5, -7
    c = 4, 7.2
    x = -7.4
    y = 4.5
    točka(a)
    točka(b, True)
    točka(c, 1)                                         #4
    točka((x, y), True)                                 #5
    točka((-10, 10), True)                              #6


