# Crtanje kružnice - program_crta_kruznicu.py

from program_mreza import *

def kružnica(sr, r):                                                
    '''Funkcija crta kružnicu sa središtem u točki
       sr = (xsr,ysr) i polumjerom r'''

    tracer(False)
    xsr, ysr = sr                                              
    pu(); goto(20 * (xsr + r), 20 * ysr)
    pd(); seth(90)
    for i in range(360):
        if abs(position()[0]) <= 200 and abs(position()[1]) <= 200: #1
            pd()
        else:
            pu()
        circle(20 * r, 1)                                           #2
    tracer(True)

def main():
    reset()
    koordinatni_sustav()
    središte = 3, 4
    polumjer = 5
    kružnica(središte, polumjer)
    kružnica((-5, -7), 7)
    kružnica((12, 12), 10)                                          #3
    
if __name__ == '__main__':
    main()                               
