# Crtanje pravca kroz dvije točke - program_pravac_2t.py

from program_mreza import *

def pravac_kroz_točke(t0, t1):
    '''Funkcija crta pravac kroz točke
       t0 = (x0, y0), t1 = (x1, y1)
    '''
    t0_p = 20 * t0[0], 20 * t0[1]                                  #1
    t1_p = 20 * t1[0], 20 * t1[1]                                  #2
    pu(); goto(t0_p); pd()
    seth(towards(t1_p))
    tracer(False)
    while abs(position()[0]) <= 200 and abs(position()[1]) <= 200: 
        fd(1)
    pu(); goto(t0_p); pd()
    while abs(position()[0]) <= 200 and abs(position()[1]) <= 200: 
        bk(1)
    tracer(True)

if __name__ == '__main__':
    koordinatni_sustav()
    a = -5, 8
    b = 3, -6
    c = 6, 6
    točka(a, True)
    točka(b, True)
    točka(c, True)
    pravac_kroz_točke(a, b)
    pravac_kroz_točke(a, c)
    pravac_kroz_točke(b, c)
