#Upis i ispis jednadžbi - upis_sustava.py
'''
Upis sustava dviju linearnih jednadžbi s dvjema nepoznanicama    
'''
def upis_jednadžbe():
    '''Funkcija vraća upisane koeficijente linearne jednadžbe:
         a0*x + a1*y = b
       pri čemu koeficijenti mogu biti cijeli ili decimalni brojevi
    '''
    print('koeficijente razdvoji zarezima: ', end='')
    a0, a1, b = input().split(',')                                   #1
    return [float(a0), float(a1), float(b)]                          #2                         

def ispis_jednadžbe(jedn):
    '''Funkcija ispisuje jednadžbu u obliku:
         a0*x + a1*y = b
       pri čemu je jedn = [a0, a1, b]
    '''
    print('    {:.2f}*x + {:.2f}*y = {:.2f}'\
          .format(jedn[0], jedn[1], jedn[2]))                           #3

def upis_dviju_jednadžbi():
    '''Funkcija traži upis konstanti dviju jednadžbi, i vraća
       dvodimenzionalnu listu s koeficiejntima jednadžbi
    '''
    print('Upiši koeficiejnte dviju jednadžbi s dvjema nepoznanicama')
    print('\nprva jednadžba:')
    jed0 = upis_jednadžbe()
    print('\ndruga jednadžba:')
    jed1 = upis_jednadžbe()
    print('\nRješenje zadanih jednadžbi')
    return [jed0, jed1]

if __name__  == '__main__':
    jed = upis_dviju_jednadžbi()
    ispis_jednadžbe(jed[0])
    ispis_jednadžbe(jed[1])
