#Nasumični parovi omjera program_12_2.py
'''
Program generire nasumične parove omjera i traži
odgovor čine li oni proporciju
'''

from random import randint

def omjer(dg=1, gg=10):
    x = ranint(dg, gg)                                        #1
    while True:
        y = randint(dg, gg)                                   #2
        if x != y:
            return x, y

def parovi_omjera(dg=1, gg=10):
    '''
    Funkcija generira dva omjera. Nakon što nasumično određuje
    hoće li drugi omjer činiti proporciju s prvim, određuje drugi
    omjer s pomoću množenja s nasumičnim faktorom ili drugi omjer
    generira nasumično, tj. potpuno nezavisno od prvog.
    '''
    a, b = omjer()
    if randint(0, 1):                                          #3
        faktor = randint(2, 10)                                #4
        c = faktor * a
        d = faktor * b
    else:
        c, d = omjer()
    return a, b, c, d

if __name__  == '__main__':
    n = int(input('Upiši broj ponavljanja vježbe n = '))
    for i in range(n):
        a, b, c, d = parovi_omjera()                            #5
        upit = '\nČine li omjeri {} : {} i {} : {} proporciju?'\
               .format(a, b, c, d)
        uputa = '\nOdgovori s da ili ne: '
        odgovor = input(upit + uputa)
        if (odgovor == 'da' and a * d == b * c) or\
           (odgovor == 'ne' and a * d != b * c):                #6
            print('Odgovor je točan!')
        else:
            print('Odgovor je netočan!')
         

