#Liste i datoteke - list_dat.py
'''Modul sadrži dvije funkcije:
    - funkciju iz_liste za prijenos iz liste u datoteku
    - funkciju iz_datoteke za prijenos iz datoteke u listu
'''

def iz_liste(lista, ime_datoteke):
    '''Funkcija otvara datoteku 'ime_datoteke'
       i u njezine redove prenosi elemente liste
       'lista'
    '''
    d = open(ime_datoteke, 'w')                      
    for x in lista: 
        d.write('{}\n'.format(x))   
    d.close()
         
def iz_datoteke(ime_datoteke, tip='i'):                 
    '''Funkcija vraća listu brojeva'br' koje čita
       iz datoteke 'ime_datoteke' 
         - Uz opcijski parametar tip='i' brojevi u listi
           bit će tipa int. 
         - Uz bilo koju drugu vrijednost parametra tip (primjerice: 'f') 
           brojevi u listi bit će tipa float.
    '''                                               
    with open(ime_datoteke) as d:
        if tip == 'i':                          
            br = [int(redak) for redak in d]            #6
        else:
            br = [float(redak) for redak in d]          #7
    return br

if __name__ == '__main__':
    a = [50, 24, 13, 12, 17]                            #8
    print(a)
    iz_liste(a, 'a.txt')                                #9
    b = iz_datoteke('a.txt')                            #10
    print(b)
    c = iz_datoteke('a.txt', 'f')                       #11
    print(c)
    
    
