#Prosječno apsolutno odstupanje - program_13_10.py

from list_dat import iz_datoteke

def ar_sred(podatci):
    '''Funkcija vraća nezaokruženu aritmetičku sredinu podataka'''
    return sum(podatci) / len(podatci)                            #1            

def pr_aps_od(podatci):
    '''Funkcija vraća prosječno odstupanje od aritmetičke
       sredine podataka iz liste podatci
    '''
    ars = ar_sred(podatci)
    aps_od = [abs(pod - ars) for pod in podatci]
    return round(sum(aps_od) / len(podatci), 2)                    #2
              
def ispis_aps_odstupanja(podatci):
    '''Funkcija ispisuje podatke smještene u listi podatci
       i aritmetičku sredinu tih podataka i prosječno apsolutno
       odstupanje
    '''
    print('\nAritmetička sredina brojeva:')
    for podatak in podatci:
        print(podatak, end=' ')
    print('\nje: {:.2f}'.format(ar_sred(podatci)))      
    print('Prosječno apsolutno odstupanje iznosi: {}'\
          .format(pr_aps_od(podatci)))
    
if __name__ == '__main__':
    podatci_1 = [2, 1, 4, 3, 2, 5, 4, 1]               
    ispis_aps_odstupanja(podatci_1)
    podatci_2 = [200, 750, 420, 172, 900]
    ispis_aps_odstupanja(podatci_2)
    podatci_3 = iz_datoteke('pod_13_6.txt')
    ispis_aps_odstupanja(podatci_3)
    
    
          
   
