#Ispis tablice frekvencija - program_13_16.py

from list_dat import iz_datoteke
from collections import Counter                                      #7

def tablica_frekvencija(ime_datoteke):
    '''Funkcija vraća listu parova (vrijednost, frekvencija) za
       niz podataka koji se nalaze u datoteci s  nazivom
       ime datoteke.
    '''    
    b = Counter(iz_datoteke(ime_datoteke))                                           #5
    frekvencije = []
    for k in sorted(b):
        frekvencije.append((k, b[k]))
    return frekvencije

def ispis(f):
    print('  TABLICA FREKVENCIJA')
    print('vrijednost   frekvencija')
    for i in range(len(f)):
        print('    {:2d}            {:2d}'.format(f[i][0], f[i][1])) 

if __name__ == '__main__':
    ispis(tablica_frekvencija('bodovi.txt'))
    
              
        
    
    
    
