#Brojevi iz redova datoteke u listu  - program_13_4.py

def iz_datoteke_u_listu(ime_datoteke, tip='i'):                     #1
    '''Funkcija vraća listu brojeva'br' koje čita
       iz datoteke 'ime_datoteke' 
         - Uz opcijski parametar tip='i' brojevi su u listi
           bit će tipa int. 
         - Uz bilo koju drugu vrijednost parametra tip (primjerice: 'f') 
           brojevi u listi bit će tipa float.
        Stringovi u redovima datoteke moraju biti odgovarajuće oblikovani.
    '''
    br = []                                                         #2
    with open(ime_datoteke) as d:                                   #3            
        for red in d:
            if tip == 'i':
                br.append(int(red))                                 #4
            else:
                br.append(float(red))
    return br

if __name__ == '__main__':
    lista_int = iz_datoteke_u_listu('brojevi.txt')        #5
    print(lista_int)
    lista_float = iz_datoteke_u_listu('brojevi.txt', 'f') #6 
    print(lista_float)
    
