#Razlike dvaju trenutaka zadanih lokalnim vremenom - program_14_5.py

from time import mktime

def upis_vremena():
    '''Funkcije prihvaća utipkane podatke:
           godinu, mjesec, dan, sat, minute i sekunde
       i pretvara ih u n-torku za opis lokalnog vremena
       pri čemu utipkanih 6 podataka nadopunje s trima nulama
    '''
    t = input('Upiši - godinu, mjesec, dan, sat, minute, sekunde: ')
    t = [int(x) for x in t.split(',')]
    t.extend([0, 0, 0])                                                #9
    return tuple(t)                                                    #10

def razlika(t0, t1):
    '''Funkcija vraća razliku dvaju utipkanih lokalnih vremena
       izraženu u sekundama.
    '''
    ts0 = mktime(t0)
    ts1 = mktime(t1)
    return int(ts1 - ts0)

def datum_i_vrijeme(t):
    '''Funkcija vraća stringove za ispis datum i vremena'''
    datum = '{}.{}.{}.'.format(t[2], t[1], t[0])    
    vrijeme = '{:02d}:{:02d}:{:02d}'.format(t[3],t[4], t[5])           #11
    return datum, vrijeme

if __name__ == '__main__':
    t0 = upis_vremena()
    t1 = upis_vremena()
    d0, v0 = datum_i_vrijeme(t0)
    d1, v1 = datum_i_vrijeme(t1)
    print('Od trenutka {} dana {} do trenutka {} dana {}\nproteklo je {}s'
          .format( v0, d0, v1, d1, razlika(t0, t1)))   
