# Crtanje dužine  - program_3_9.py

from turtle import *

def crtica(vel):                                        #1
    '''Funkcija crta okomite crtice na mjestu na kojem
    se trenutno nalazi. Crtica će biti dugačka 2 * vel piksela.
    Preporuka: za kraće crtice odabrat ćemo vel = 3,
               za dulje crtice odabrat ćemo vel = 8.
    '''
    lt(90)                                              #2
    fd(vel); bk(2 * vel); fd(vel)                       #3
    rt(90)                                              #4

def jedinična_dužina(m):                                #5
    '''Funkcija crta dužinu duljine m piksela.
    Ta će dužina biti jedinična dužina.
    Na njezinu kraju nacrtat ćemo kraću crticu.
    '''
    fd(m)                                               #6
    crtica(3)                                           #7

def dužina(dulj, m):                                    #8
    '''Funkcija crta dužinu koja se sastoji od dulj jediničnih
    dužina.
          dulj - broj jediničnih dužina koje čine dužinu
          m - broj piksela jedinične dužine
    '''
    crtica(8)                                           #9
    for i in range(dulj):                               #10
        jedinična_dužina(m)                             #11
    crtica(8)                                           #12

def main():
    '''Funkcija main() najprije postavlja kornjaču u početni
    položaj 200 piksela lijevo od njezina središnjeg položaja
    i nakon toga traži upisivanje duljine dužine i broj
    piksela jedinične dužine i zatim u grafičkom prozoru
    crta zadanu dužinu pozivom funkcije dužina().    
    '''
    home(); ht()                                        #13								#13
    pu(); bk(200); pd()					#14
    dulj = int(input('Duljina = '))                     
    m = int(input('Broj piksela jedinične dužine m = '))
    dužina(dulj, m)                                     

main()
