#Modul: prirodni_2py
'''
   Modul prirodni_2 sadrži sve funkcije iz modula prirodni,
   modula prirodni_1 i dodatno funkciju zajednički_faktori()
'''

from prirodni_1 import *

def zajednički_faktori(m, n):
    '''Funkica vraća zajedničke proste faktore brojeva m i n'''
    r = []
    prosti = prosti_brojevi(min(m, n))
    i = 0
    while i < len(prosti):
        if m % prosti[i] == 0 and n % prosti[i] == 0:
            r.append(prosti[i])
            m //= prosti[i]
            n //= prosti[i]
        else:
            i += 1
    return r

if __name__ == '__main__':
    m = int(input('Upiši broj m = '))
    n = int(input('Upiši broj n = '))
    zf = zajednički_faktori(m, n)
    if len(zf) == 0:
        print('Brojevi {} i {} nemaju zajedničkih faktora'.format(m, n))
    else:
        print('Zajednički faktori brojeva {} i {} su:\n{}'.format(m, n, zf))  #7
