#Crtanje pravilnih mnogokuta obilaskom vrhova - program_8_5.py

from turtle import *

def pravilni_mnogokut(n, r, xs, ys):
    '''Funkcija crta pravilni mnogokut za koji je:
            n - broj vrhova
            r - udaljenost vrhova of središta
            xs, ys - položaj središta
    '''
    pu(); ht()
    goto(xs, ys)                         
    setheading(90)                          #11
    kut = 360 // n                          #12
    vrhovi = []
    for i in range(n):                      #13
        fd(r)
        vrhovi.append(position())
        bk(r)
        lt(kut)
    goto(vrhovi[0]) 
    pd()
    for i in range(n):                      #14
        goto(vrhovi[(i + 1) % n])

if __name__ == '__main__':
    pravilni_mnogokut(3, 100, -250, 150)
    pravilni_mnogokut(4, 100, 0, 150)
    pravilni_mnogokut(5, 100, 250, 150)
    pravilni_mnogokut(6, 100, -250, -150)
    pravilni_mnogokut(9, 100, 0, -150)
    pravilni_mnogokut(10, 100, 250, -150)



