#Crtanje zaobljenih pravokutnika - program_8_9.py

from turtle import *

def zaobljeni_pravokutnik(a, b, r, xs, ys):
    '''Funkcija crta pravokutnik sa zaobljenim uglovim.
       Parametri funkcije su:
          a - duljina vodoravne stranice pravokutnika,
          b - duljina vertikalne stranice pravokutnika,
          r - polumjer kružnog luka zaobljenog ugla,
              (kada je r > min(a, b) funkcija će odabrati
               a = min(a, b) // 2),
          xs,ys - položaj središta pravokutnika
    '''
    if r >= min(a,b) // 2:                             
        r = min(a,b) // 2                              #1
    pu(); goto(xs - a //2 + r, ys - b // 2); pd()
    seth(0)
    for i in range(2):                                 #2
        fd(a - 2 * r)
        circle(r, 90)
        fd(b - 2 * r)
        circle(r, 90)
        ht()       
     
if __name__ == '__main__':
    zaobljeni_pravokutnik(100, 50, 0, 0, 0)
    zaobljeni_pravokutnik(150, 100, 20, 0, 0)
    zaobljeni_pravokutnik(200, 150, 50, 0, 0)
    zaobljeni_pravokutnik(250, 200, 100, 0, 0)
    zaobljeni_pravokutnik(300, 300, 150, 0, 0)

    



